import Vue from 'vue'
import App from './App'
import * as http from './common/http'
import config from './config.js'
import * as utils from './common/utils'
import store from './store'
import storage from 'common/storage'
import moment from 'moment'
import ws from './common/websocket'
import scan from './common/scanChange'

Vue.config.productionTip = false
Vue.prototype.$config = config
Vue.prototype.$utils=utils
Vue.prototype.$http = http
Vue.prototype.$store = store
Vue.prototype.$storage = storage
Vue.prototype.$moment = moment
Vue.prototype.$ws=ws
Vue.prototype.$scan=scan

App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()
